Subject: Re: [PATCH] net: dsa: bcm_sf2: Fix a possible memory leak in bcm_sf2_mdio_register()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Aug 2024 16:32:28 -0700

On Fri,  2 Aug 2024 17:54:11 +0900 Joe Hattori wrote:
> bcm_sf2_mdio_register() calls of_phy_find_device() and then
> phy_device_remove() in a loop to remove existing PHY devices.
> of_phy_find_device() eventually calls bus_find_device(), which calls
> get_device() on the returned struct device * to increment the refcount.
> The current implementation does not decrement the refcount, which causes
> memory leak.
> 
> This commit adds the missing phy_device_free() call to decrement the
> refcount via put_device() to balance the refcount.

Please add a Fixes tag pointing to the commit where the problem was
introduced and make sure you CC the maintainer of the driver.
-- 
pw-bot: cr